SparkFun RedBot
===============

<table class="table table-hover table-striped table-bordered">
  <tr align="center">
   <td><a href="https://www.sparkfun.com/products/12097"><img src="https://cdn.sparkfun.com/assets/parts/8/7/3/4/12097-01.jpg" title="RedBot Mainboard"></a></td>
   <td><a href="https://www.sparkfun.com/products/12649"><img src="https://cdn.sparkfun.com//assets/parts/9/3/4/3/SIK_Shadow_Chasis.jpg" title="RedBot Inventor's Kit for RedBot"></a></td>
  </tr>
  <tr align="center">
    <td>RedBot Mainboard [<a href="https://www.sparkfun.com/products/12097">ROB-12097</a>]</td>
    <td>SparkFun Inventor's Kit for RedBot [<a href="https://www.sparkfun.com/products/12649">ROB-12649</a>]</td>
  </tr>
</table>

Design files and firmware files for the [RedBot Main board](https://www.sparkfun.com/products/11622).

Repository Contents
-------------------

* **/Documentation** - Documentation for the library's public API
* **/Hardware** - Eagle PCB layout files
* **/Libraries/Arduino/RedBot** - RedBot support library
* **/Production** - Files to support SparkFun production

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/RedBot)** - Main repository (including hardware files) for the RedBot.
* **[Library Repository](https://github.com/sparkfun/SparkFun_Redbot_Arduino_Library)** - Arduino library for the RedBot.
* **[Assembly Guide](https://learn.sparkfun.com/tutorials/assembly-guide-for-redbot-with-shadow-chassis)** - Basic hookup guide for the RedBot.
* **[Experiment Guide](https://learn.sparkfun.com/tutorials/experiment-guide-for-redbot-with-shadow-chassis)** - Experiment guide for the RedBot.


Product Versions
----------------
This repository only contains the hardware files for the RedBot Main board. There are several different support products available for the RedBot Kit however.

* [ROB-12097](https://www.sparkfun.com/products/12097) - RedBot Main Board.
* [ROB-12649](https://www.sparkfun.com/products/12649) - RedBot SparkFun Inventor's Kit
* *[ROB-13166 (RETIRED)](https://www.sparkfun.com/products/13166) - RedBot Basic Kit*
* [ROB-12567](https://www.sparkfun.com/products/12567) - RedBot Buzzer
* [SEN-11999](https://www.sparkfun.com/products/11999) - RedBot Mechanical Bumper
* [SEN-12589](https://www.sparkfun.com/products/12589) - RedBot Accelerometer
* [SEN-11769](https://www.sparkfun.com/products/11769) - RedBot Line Sensor
* [SEN-13582](https://www.sparkfun.com/products/13582) - SparkFun Line Follower Array

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
